<template>
  <view class="page__view">
    
		<!-- 导航栏 -->
		<navbar :title="details.paramDesc" leftClick @leftClick="$utils.navigateBack" bgColor="#4883F9" color="#FFFFFF" />

    <image class="img" :src="details.details" mode="widthFix"></image>

  </view>
</template>

<script>
  export default {
    data() {
      return {
        details: {},
      }
    },
    onLoad({ paramCode }) {
      this.getData(paramCode)
    },
    methods: {
      async getData(paramCode) {
        try {
          this.details = await this.$fetch('querySummaryByParamCode', { paramCode })
        } catch (err) {
          console.log('err', err)
        }
      },
    },
  }
</script>

<style scoped lang="scss">

  .img {
    width: 100vw;
    height: auto;
  }

</style>